<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // tính kế thừa trong javascript
    function Person(_name){
        var name = _name;
        this.setName = function (_name){
            name = _name;
        }
        this.getName = function (){
            return name;
        }
    }
    function Student(_name, _school){
        var school = _school;
        Person.call(this,_name)
        this.setSchool = function(_school){
            school=_school;
        }
        this.getSchool = function(){
            return school;
        }
    }
    var student= new Student('VanTruong', 'HUNRE')
    console.log(student.getSchool())
    console.log(student.getName())
    </script>
</body>
</html>